#ifndef ENG3D_H
#define ENG3D_H 

#define FE_State bool
#define FE_ACTIVE true
#define FE_PASSIVE false

#include "math/pos.h"
#include "math/angle.h"


class FxEngine // regroupement des fonctions
{
public:
	static int* getPos();
	static void setPos(int* coords);

	static void newFrame(); // reloads coords
	static int getChangeNumber();
	static void setState(FE_State state);

	static FE_Angle dh,dv;
	static FE_Position real;
private:
	static FE_Angle m_dh,m_dv;
	static FE_Position m_virt;

	static FE_State m_state;

	static void move(); // appelé à intervalles réguliers


}





#endif